* * *

Author Topic: Trying to compile amw_ide_tools.lpk package  (Read 320 times)

Luigi

  • New member
  • *
  • Posts: 26
Trying to compile amw_ide_tools.lpk package
« on: February 04, 2018, 10:51:45 pm »
Hello,
  I try to use LAMW (see http://wiki.lazarus.freepascal.org/LAMW) but when i try to compile the package 'amw_ide_tools.lpk' lazarus raises the exception in file XWindow.pas(7,6): 'can't find unit x used by XWindow'.

But the file 'x.pp' is present in 'C:\Android\laz4android1.8\fpc\3.0.4\source\packages\x11\src\x.pp' and this path i can see in tooltip that appears when I leave mouse cursor over unit listed in uses clausole in interface of file 'XWindow.pas'

I used Laz4Android 1.8.0 with fpc 3.0.4

I don't know what I to do to solve my problem.

Can anyone can help me?

Thanks
« Last Edit: February 04, 2018, 10:58:02 pm by Luigi »

jmpessoa

  • Hero Member
  • *****
  • Posts: 1107
Re: Trying to compile amw_ide_tools.lpk package
« Reply #1 on: February 04, 2018, 11:50:28 pm »

Hi, Luigi!

To compile and install a LAMW package you need a system/default project [win or linux] open in Lazarus IDE
[not a LAMW project]

Lamw: Lazarus Android Module Wizard
https://github.com/jmpessoa/lazandroidmodulewizard

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus